<form [formGroup]="form" (ngSubmit)="onSubmit()">

  <label for="nombre">Nombre</label>
  <input type="text" id="nombre" formControlName="nombre" [ngClass]="{ error: form.get('nombre').invalid && form.touched}">

  <label for="apellidos">Apellidos</label>
  <input type="text" id="apellidos" formControlName="apellidos" [ngClass]="{ error: form.get('apellidos').invalid && form.touched}">

  <label for="nombre_usuario">Nombre de usuario</label>
  <input type="text" id="nombre-usuario" formControlName="usuario" [ngClass]="{ error: form.get('usuario').invalid && form.touched}">

  <label for="password">Contraseña</label>
  <input type="password" id="password" formControlName="contrasenya" [ngClass]="{ error: form.get('contrasenya').invalid && form.touched}">

  <label for="email">Correo electronico</label>
  <input type="email" id="email" formControlName="email" [ngClass]="{ error: form.get('email').invalid && form.touched}">

  <label for="fecha_nacimiento">Fecha nacimiento</label>
  <input type="date" id="fecha_nacimiento" formControlName="fecha_nacimiento" [ngClass]="{ error: form.get('fecha_nacimiento').invalid && form.touched}">

  <label for="biografia">Biografia</label>
  <textarea name="biografia" id="biografia" cols="30" rows="10" formControlName="biografia"></textarea>

  <label for="imagen">Imagen</label>
  <input type="text" id="fecha_nacimiento" formControlName="imagen">

  <img [src]="form.get('imagen').value" alt="imagen-perfil" *ngIf="form.get('imagen').value">

  <button type="submit">Registrarse</button>

</form>
